import sys
from PyQt5.QtCore import QThread, pyqtSignal
from ChatTalk import ChatTalk
from DsChatTalkLocal import DsChatTalkLocal
from DsChatTalk import DsChatTalk
from bubble_message import *

class StreamChatTask(QThread):
    complete_signal = pyqtSignal(str)
    message_ready_signal = pyqtSignal(str, bool)
    re_bubble_message = None
    content = ""

    def __init__(self):
        super(StreamChatTask, self).__init__()
        self.topic = ""

    def set_topic(self, topic):
        self.topic = topic

    def message_callback(self, message, flag):
        if flag:
            self.content = ""
        self.content += message
        print(self.content)
        self.message_ready_signal.emit(self.content, flag)

    def run(self):
        # result = ChatTalk.call_with_messages(self.topic)
        # self.complete_signal.emit(result)
        #ChatTalk.call_with_stream(self.topic, self.message_callback)
        if Config.get_chat_model_name() == "DEEPSEEKLOCAL":
            DsChatTalkLocal.call_with_stream(self.topic, self.message_callback)
        elif Config.get_chat_model_name() == "DEEPSEEK":
            DsChatTalk.call_with_stream(self.topic, self.message_callback)



