#
# Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
#
# You should have find a copy of NFSChina License. If not, please contact us
# by email <os_support@nfschina.com>
#

import sys
from PyQt5.QtCore import QThread, pyqtSignal
from LocalTalk import LocalTalk

class LocalTask(QThread):
    complete_signal = pyqtSignal(str)

    def __init__(self):
        super(LocalTask, self).__init__()
        self.topic = ""

    def set_topic(self, topic):
        self.topic = topic

    def run(self):
        context = []
        result = LocalTalk.request_with_prompt(self.topic, context)
        self.complete_signal.emit(result)




