#
# Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
#
# You should have find a copy of NFSChina License. If not, please contact us
# by email <os_support@nfschina.com>
#

import multiprocessing
import subprocess
from datetime import datetime
import os

current_user = os.getlogin()
path = ""
default_dir = '/home/' + current_user + '/.config/aiassistant/'

class MeetingFile:

    @staticmethod
    def crate_temp_file():
        global default_dir
        global path
        if not os.path.exists(default_dir):
            print("目录：" + default_dir + " 不存在")
            os.mkdir(default_dir)

        now = datetime.now()
        filename = now.strftime('%Y-%m-%d-%H-%M-%s') + ".txt"

        path = default_dir + filename
        print(path)


    @staticmethod
    def write_temp_file(content):
        global path
        print(path)
        with open(path, 'a', encoding='utf-8') as file:
            file.write(content+"\n")
            file.flush()


    @staticmethod
    def open_file(filename):
        process = subprocess.Popen(["featherpad", filename])


    @staticmethod
    def get_default_dir():
        global default_dir
        return default_dir

    @staticmethod
    def get_current_meeting_file():
        global path
        return path

